apiVersion: kafka.strimzi.io/v1beta2
kind: KafkaConnect
metadata:
  name: freeleaps-prod-postgres-cds
  namespace: freeleaps-data-platform
  annotations:
    strimzi.io/use-connector-resources: "true"
spec:
  version: 4.0.0
  bootstrapServers: freeleaps-kafka-cluster-kafka-bootstrap.freeleaps-data-platform.svc.freeleaps.cluster:9093
  config:
    config.storage.topic: freeleaps-prod-postgres-cds-configs
    config.storage.replication.factor: -1
    group.id: freeleaps-prod-postgres-cds
    offset.storage.topic: freeleaps-prod-postgres-cds-offsets
    offset.storage.replication.factor: -1
    status.storage.topic: freeleaps-prod-postgres-cds-status
    status.storage.replication.factor: -1
  image: freeleaps/kafka-connectors:postgres-connector
  replicas: 1
  authentication:
    type: scram-sha-512
    username: freeleaps-user
    passwordSecret:
      secretName: freeleaps-user
      password: password
  tls:
    trustedCertificates:
      - secretName: freeleaps-kafka-cluster-cluster-ca-cert
        pattern: "*.crt"
---
apiVersion: kafka.strimzi.io/v1beta2
kind: KafkaConnector
metadata:
  name: freeleaps-prod-postgres-cds
  namespace: freeleaps-data-platform
  labels:
    strimzi.io/cluster: freeleaps-prod-postgres-cds
spec:
  class: io.debezium.connector.postgresql.PostgresConnector
  config:
    database.hostname: freeleaps-prod-gitea-postgresql-ha-postgresql.freeleaps-prod.svc.freeleaps.cluster
    database.port: 5432
    database.user: postgres
    database.password: X9H2*9M2ZWYmuZ
    database.dbname: gitea
    database.server.name: gitea-postgres
    plugin.name: pgoutput
    slot.name: debezium
    publication.name: debezium_publication
    capture.mode: all
    provide.transaction.metadata: true
    snapshot.mode: initial
    topic.prefix: test-raw-cds-events-prod-gitea-postgres
  tasksMax: 1
